package com.unis.project.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;

/**
 * @author WangZL
 * @version 1.0
 * @Title FileQueryVO
 * @ProjectName 文件查询业务对象
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@ApiModel("文件查询业务对象")
public class FileQueryVO {

    @ApiModelProperty(value = "文件ID", notes ="文件ID", required = false)
    @Column(name = "FILE_ID")
    private String fileId;

    @ApiModelProperty(value = "文件名称", notes ="文件名称", required = false)
    @Column(name = "FILE_NAME")
    private String fileName;

    public FileQueryVO(String fileId, String fileName) {
        super();
        this.fileId = fileId;
        this.fileName = fileName;
    }

    public FileQueryVO() {
    }
}