package com.unis.project.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectMonthlyProgressReportQueryVO
 * @ProjectName 项目进度月报查询业务对象
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMJDYB")
@ApiModel("项目进度月报查询业务对象")
public class ProjectMonthlyProgressReportQueryVO {

    @ApiModelProperty(value = "进度月报年", notes ="进度月报年", required = false)
    @Column(name = "JDYD_YEAR")
    private Integer jdydYear;

    @ApiModelProperty(value = "进度月报月", notes ="进度月报月", required = false)
    @Column(name = "JDYD_MONTH")
    private Integer jdydMonth;

    @ApiModelProperty(value = "是否调整：1、是。0、否", notes ="是否调整：1、是。0、否", required = false)
    @Column(name = "SFTZ")
    private Integer sftz;

    public ProjectMonthlyProgressReportQueryVO(Integer jdydYear, Integer jdydMonth, Integer sftz) {
        super();
        this.jdydYear = jdydYear;
        this.jdydMonth = jdydMonth;
        this.sftz = sftz;
    }

    public ProjectMonthlyProgressReportQueryVO() {
    }
}