package com.unis.project.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectTemplateQueryVO
 * @ProjectName 项目模版查询业务对象
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMMB")
@ApiModel("项目模版查询业务对象")
public class ProjectTemplateQueryVO {

    @ApiModelProperty(value = "项目模板名称", notes ="项目模板名称", required = false)
    @Column(name = "XMMBMC")
    private String xmmbmc;

    @ApiModelProperty(value = "项目阶段", notes ="项目阶段", required = false)
    @Column(name = "XMJD")
    private String xmjd;

    public ProjectTemplateQueryVO(String xmmbmc, String xmjd) {
        super();
        this.xmmbmc = xmmbmc;
        this.xmjd = xmjd;
    }

    public ProjectTemplateQueryVO() {
    }

}