package com.unis.project.common.vo.backlog;

/**
 * 
 * @Description：待办常量
 * @author：王帅
 * @date: 2020年2月27日
 */
public class BacklogConstant {

	/**
	 * 待办系统标识-储备粮
	 */
	public static final String STANDING_GRAIN = "cbl";

	/**
	 * 待办系统标识-业务检查
	 */
	public static final String SERVICE_INSPECTION = "ywjc";

	/**
	 * 待办系统标识-质检
	 */
	public static final String QUALITY_TESTING = "zj";

	/**
	 * 待办系统标识-区长责任制
	 */
	public static final String DISTRICT_GOVERNOR_RESPONSIBILITY_SYSTEM = "qzzrz";

	/**
	 * 待办系统标识-交易管理系统
	 */
	public static final String TRANSACTION_MANAGEMENT = "jy";

	/**
	 * 待办系统标识-项目管理
	 */
	public static final String PM = "pm";

	/**
	 * 待办系统标识-信息审核备案
	 */
	public static final String INFORMATION_AUDIT_RECORD = "xxsh";

	/**
	 * 交换机
	 */
	public static final String BACKLOG_EXCHANGE = "unis.backlog.exchange";

	/**
	 * 待办消息队列-新增
	 */
	public static final String BACKLOG_INSERT = "unis.create.backlog.queue";

	/**
	 * 消息队列-更新
	 */
	public static final String BACKLOG_UPDATE = "unis.update.backlog.queue";

	/**
	 * 消息通配符-待办新增类型
	 */
	public static final String MSG_INSERT = "backlog.insert";

	/**
	 * 消息通配符-待办更新类型
	 */
	public static final String MSG_UPDATE = "backlog.update";

	/**
	 * 消息通配符-待办删除
	 */
	public static final String MSG_DEL = "backlog.del";

	public static final int BACKLOG = 0; // 待办

	public static final int HAVEDONE = 1; // 已办

}
