package com.unis.project.common.vo.backlog;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 
 * @Description：待办接收人
 * @author：王帅
 * @date: 2020年2月28日 下午4:28:45
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "待办接收人")
public class ReceiverCollectionVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "用户名")
	private String userName;

	@ApiModelProperty(value = "用户id")
	private String userId;
}
