package com.unis.project.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectTemplateDO
 * @ProjectName 项目模版实体类
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMMB")
public class ProjectTemplateDO extends BaseEntity {

    @ApiModelProperty(value = "项目模版id", notes ="项目模版id", required = false)
    @Id
    @Column(name = "XMMB_ID")
    private String xmmbId;

    @ApiModelProperty(value = "项目模板名称", notes ="项目模板名称", required = false)
    @Column(name = "XMMBMC")
    private String xmmbmc;

    @ApiModelProperty(value = "项目阶段", notes ="项目阶段", required = false)
    @Column(name = "XMJD")
    private String xmjd;

    @ApiModelProperty(value = "项目模板简介", notes ="项目模板简介", required = false)
    @Column(name = "XMMBJJ")
    private String xmmbjj;

    @ApiModelProperty(value = "发布人", notes ="发布人", required = false)
    @Column(name = "XMFBR")
    private String xmfbr;

    @ApiModelProperty(value = "发布时间", notes ="发布时间", required = false)
    @Column(name = "XMFBSJ")
    private Date xmfbsj;

}