package com.unis.project.server.service;

import com.unis.project.common.vo.ProjectApprovalAcceptanceVO;

/**
 * @author WangZL
 * @version 1.0
 * @Title: ProjectApprovalAcceptanceService
 * @ProjectName ProjectApprovalAcceptanceService
 * @Description: TODO
 * @date 2019/7/22 17:47
 */
public interface ProjectApprovalAcceptanceService {

	/**
	 * 新增项目立项验收信息
	 * @param projectApprovalAcceptanceVO
	 * @return
	 */
	ProjectApprovalAcceptanceVO insert(ProjectApprovalAcceptanceVO projectApprovalAcceptanceVO);

	/**
	 * 更新项目立项验收信息
	 * @param projectApprovalAcceptanceVO
	 * @return
	 */
	int update(ProjectApprovalAcceptanceVO projectApprovalAcceptanceVO);

	/**
	 * 根据项目申请ID和立项类型获取项目立项验收信息
	 * @param xmsqId
	 * @param xmlxlx
	 * @return 项目立项验收信息
	 */
	ProjectApprovalAcceptanceVO getProjectApprovalAcceptanceInfoById(String xmsqId,Integer xmlxlx);

}
