package com.unis.project.server.service;

import com.unis.project.common.vo.ProjectBidingVO;
import com.unis.project.common.vo.ProjectProposalReportVO;

import java.util.Map;

/**
 * @Author zoujieli
 * @Description
 * @Date 2019/10/25 17:39
 * Version 1.0
 */
public interface ProjectProposalReportService {

    /**
     * 招标信息-查询详情
     * @author 邹杰利
     * @param xmsqId
     * @param xmwblx
     * @return
     */
    ProjectProposalReportVO getProjectProposalReportDetail(String xmsqId, Integer xmwblx);

    /**
     * 招标信息-新增
     * @param reportVO
     * @return
     */
    ProjectProposalReportVO insertProjectProposalReport(ProjectProposalReportVO reportVO);

    /**
     * 招标信息-更新
     * @author 邹杰利
     * @param reportVO
     * @return
     */
    int updateProjectProposalReport(ProjectProposalReportVO reportVO);
}
