package com.unis.project.server.service.impl;

import com.unis.project.common.vo.ProjectFundApplicationVO;
import com.unis.project.server.domain.ProjectFundApplicationDomain;
import com.unis.project.server.service.ProjectFundApplicationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author zoujieli
 * @Description
 * @Date 2019/10/25 17:39
 * Version 1.0
 */
@Service
public class ProjectFundApplicationServiceImpl implements ProjectFundApplicationService {

    @Autowired
    private ProjectFundApplicationDomain projectFundApplicationDomain;

    @Override
    public List<ProjectFundApplicationVO> insertProjectFundApplicationList(List<ProjectFundApplicationVO> projectFundApplicationVOList) {
        return projectFundApplicationDomain.insertProjectFundApplicationList(projectFundApplicationVOList);
    }

    @Override
    public int updateProjectFundApplicationList(List<ProjectFundApplicationVO> projectFundApplicationVOList) {
        return projectFundApplicationDomain.updateProjectFundApplicationList(projectFundApplicationVOList);
    }

    @Override
    public List<ProjectFundApplicationVO> getProjectFundApplicationInfoById(String xmsqId) {
        return projectFundApplicationDomain.getProjectFundApplicationInfoById(xmsqId);
    }
}
