package com.unis.project.common.constant;

/**
 * 项目流程状态
 */
public enum ProjectStatusConstant {

    TO_BE_PEPORT(1,"待上报",""),
    APPLICATION(2,"已申请",""),
    DESIGN_BIDDING(3,"设计招标",""),
    PROPOSAL_SUBMITTED(4,"建议书已提交",""),
    PROPOSAL_APPROVED(5,"建议书已批复",""),
    REPORT_SUBMITTED(6,"可研报告已提交",""),
    REPORT_APPROVED(7,"可研报告已批复",""),
    PROJECT_APPROVAL(8,"立项审批",""),
    SUPERVISION_BIDDING(9,"监理招标",""),
    CONSTRUCTION_BIDDING(10,"建设招标",""),
    FUND_APPLICATION(11,"资金申请",""),
    FUND_APPROVAL(12,"资金批复",""),
    PROJECT_PROGRESS(13,"项目进度",""),
    ACCEPTANCE_APPLICATION(14,"验收申请",""),
    ACCEPTANCE(15,"已验收",""),
    CLOSED(16,"已截止","");

    private String name;
    private Integer value;
    private String desc;

    private ProjectStatusConstant(Integer value, String name, String desc){
        this.value=value;
        this.name=name;
        this.desc=desc;
    }

    public Integer getValue(){
        return this.value;
    }
    public void setValue(Integer value){
        this.value=value;
    }

    public String getName(){
        return this.name;
    }
    public void setName(String name){
        this.name=name;
    }

    public String getDesc(){
        return this.desc;
    }
    public void setDesc(String desc){
        this.desc=desc;
    }
}
