package com.unis.project.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author WangZL
 * @version 1.0
 * @Title FileDO
 * @ProjectName 文件实体类
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_FILE")
public class FileDO extends BaseEntity {

    @ApiModelProperty(value = "主键ID", notes ="主键ID", required = false)
    @Id
    @Column(name = "ID")
    private Integer id;

    @ApiModelProperty(value = "数据id(针对表中数据主键)", notes ="数据id(针对表中数据主键)", required = false)
    @Column(name = "SJ_ID")
    private String sjId;

    @ApiModelProperty(value = "文件ID", notes ="文件ID", required = false)
    @Column(name = "FILE_ID")
    private String fileId;

    @ApiModelProperty(value = "文件类型0、附件。1、文件", notes ="文件类型0、附件。1、文件", required = false)
    @Column(name = "FILE_TYPE")
    private Integer fileType;

    @ApiModelProperty(value = "收件人", notes ="收件人", required = false)
    @Column(name = "SJR")
    private String sjr;

    @ApiModelProperty(value = "主题", notes ="主题", required = false)
    @Column(name = "WJZT")
    private String wjzt;

    @ApiModelProperty(value = "内容", notes ="内容", required = false)
    @Column(name = "WJNR")
    private String wjnr;

    @ApiModelProperty(value = "发件人", notes ="发件人", required = false)
    @Column(name = "FJR")
    private String fjr;

    @ApiModelProperty(value = "文件名称", notes ="文件名称", required = false)
    @Column(name = "FILE_NAME")
    private String fileName;

    @ApiModelProperty(value = "文件状态 0、未下发。1、已下发", notes ="文件状态 0、未下发。1、已下发", required = false)
    @Column(name = "FILE_STATUS")
    private Integer fileStatus;
}