package com.unis.project.server.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author WangZL
 * @version 1.0
 * @Title ProjectMonthlyProgressReportDO
 * @ProjectName 项目进度月报实体类
 * @Description  TODO
 * @date 2019/07/22 17点26分
 */
@SuppressWarnings("serial")
@Getter
@Setter
@Table(name="T_XMJDYB")
public class ProjectMonthlyProgressReportDO extends BaseEntity {

    @ApiModelProperty(value = "进度月报id", notes ="进度月报id", required = false)
    @Id
    @Column(name = "XMJDYB_ID")
    private String xmjdybId;

    @ApiModelProperty(value = "进度月报年", notes ="进度月报年", required = false)
    @Column(name = "JDYD_YEAR")
    private Integer jdydYear;

    @ApiModelProperty(value = "进度月报月", notes ="进度月报月", required = false)
    @Column(name = "JDYD_MONTH")
    private Integer jdydMonth;

    @ApiModelProperty(value = "月报截止时间", notes ="月报截止时间", required = false)
    @Column(name = "YBJZRQ")
    private Date ybjzrq;

    @ApiModelProperty(value = "是否调整：1、是。0、否", notes ="是否调整：1、是。0、否", required = false)
    @Column(name = "SFTZ")
    private Integer sftz;

    @ApiModelProperty(value = "调整人", notes ="调整人", required = false)
    @Column(name = "SFTZR")
    private String sftzr;

    @ApiModelProperty(value = "调整时间", notes ="调整时间", required = false)
    @Column(name = "SFTZSJ")
    private Date sftzsj;

    @ApiModelProperty(value = "变更原因", notes ="变更原因", required = false)
    @Column(name = "BGYY")
    private String bgyy;

}