package com.unis.project.server.service;

import com.unis.project.common.vo.ProjectProgressBriefingVO;

import java.util.List;

/**
 * @author WangZL
 * @version 1.0
 * @Title: ProjectProgressBriefingService
 * @ProjectName ProjectProgressBriefingService
 * @Description: TODO
 * @date 2019/7/22 17:47
 */
public interface ProjectProgressBriefingService {

	/**
	 * 新增项目进度简报信息
	 * @param projectProgressBriefingVO
	 * @return
	 */
	ProjectProgressBriefingVO insert(ProjectProgressBriefingVO projectProgressBriefingVO);

	/**
	 * 更新项目进度简报信息
	 * @param projectProgressBriefingVO
	 * @return
	 */
	int update(ProjectProgressBriefingVO projectProgressBriefingVO);

	/**
	 * 查询详情
	 * @param xmsqId
	 * @return
	 */
	List<ProjectProgressBriefingVO> getProjectMaterialDetailsListById(String xmsqId);

	/**
	 * 查询验收前当前月度数据
	 * @param xmjdybId
	 * @return
	 */
    List<ProjectProgressBriefingVO> getProjectMaterialDetailsListByxmjdybId(String xmjdybId);

	/**
	 * 查询当前月度数据对上报数据
	 * @param xmjdybId
	 * @return
	 */
	List<ProjectProgressBriefingVO> getProjectMaterialDetailsListByxmjdzt(String xmjdybId, Integer xmjdzt);

	/**
	 * 获取待上报当天截止时间数据
	 * @return
	 */
    List<String> getProjectProgressBriefingIdList();
}
