package com.unis.project.server.service.impl;

import com.unis.project.common.vo.ProjectBidingVO;
import com.unis.project.server.domain.ProjectBiddingDomain;
import com.unis.project.server.service.ProjectBiddingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author zoujieli
 * @Description
 * @Date 2019/10/25 17:39
 * Version 1.0
 */
@Service
public class ProjectBiddingServiceImpl implements ProjectBiddingService {

    @Autowired
    private ProjectBiddingDomain projectBiddingDomain;

    @Override
    public ProjectBidingVO getProjectBiddingDetail(String xmsqId, Integer xmzblx) {
        return projectBiddingDomain.getProjectBiddingDetail(xmsqId,xmzblx);
    }

    @Override
    public ProjectBidingVO insertProjectBidding(ProjectBidingVO projectBidingVO) {
        return projectBiddingDomain.insertProjectBidding(projectBidingVO);
    }

    @Override
    public int updateProjectBidding(ProjectBidingVO projectBidingVO) {
        return projectBiddingDomain.update(projectBidingVO);
    }
}
