package com.unis.project.server.service.impl;

import com.unis.project.common.vo.ProjectProposalReportVO;
import com.unis.project.server.domain.ProjectProposalReportDomain;
import com.unis.project.server.service.ProjectProposalReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @Author zoujieli
 * @Description
 * @Date 2019/10/25 17:39
 * Version 1.0
 */
@Service
public class ProjectProposalReportServiceImpl implements ProjectProposalReportService {

    @Autowired
    private ProjectProposalReportDomain reportDomain;

    @Override
    public ProjectProposalReportVO getProjectProposalReportDetail(String xmsqId, Integer xmwblx) {
        return reportDomain.getProjectProposalReportDetail(xmsqId,xmwblx);
    }

    @Override
    public ProjectProposalReportVO insertProjectProposalReport(ProjectProposalReportVO reportVO) {
        return reportDomain.insertProjectProposalReport(reportVO);
    }

    @Override
    public int updateProjectProposalReport(ProjectProposalReportVO reportVO) {
        return reportDomain.update(reportVO);
    }
}
